commit 7da4b62f960cf06dd6b8a3352ec507e3e8ab742c
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Wed Aug 27 16:25:14 2025

    testsuite: arm: Simplify fp16-aapcs tests
    
    Reduce fp16-aapcs testcases to return value testing since parameter
    passing are already tested in aapcs/vfp*.c
    
    gcc/testsuite/ChangeLog:
            * gcc.target/arm/fp16-aapcs.c: New test.
            * gcc.target/arm/fp16-aapcs-1.c: Removed.
            * gcc.target/arm/fp16-aapcs-2.c: Likewise.
            * gcc.target/arm/fp16-aapcs-3.c: Likewise.
            * gcc.target/arm/fp16-aapcs-4.c: Likewise.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 1cf8cb45d872a5f09d65c63c891c091710c37432)

diff --git a/gcc/testsuite/gcc.target/arm/fp16-aapcs.c b/gcc/testsuite/gcc.target/arm/fp16-aapcs.c
new file mode 100644
index 00000000000..8c87d5dde31
--- /dev/null
+++ b/gcc/testsuite/gcc.target/arm/fp16-aapcs.c
@@ -0,0 +1,24 @@
+/* { dg-do compile }  */
+/* { dg-require-effective-target arm_fp16_alternative_ok } */
+/* { dg-options "-O2" }  */
+/* { dg-add-options arm_fp16_alternative } */
+/* { dg-final { check-function-bodies "**" "" "" } } */
+
+/* Test __fp16 arguments and return value in registers.  */
+
+__fp16 f();
+void g(__fp16);
+void h();
+
+/*
+** test:
+** ...
+**	bl	f
+**	bl	g
+** ...
+*/
+int test()
+{
+    g(f());
+    h();
+}

